## org.hibernate.stat.internal
Class ConcurrentNaturalIdCacheStatisticsImpl

    java.lang.Object
      org.hibernate.stat.internal.CategorizedStatistics
          org.hibernate.stat.internal.ConcurrentNaturalIdCacheStatisticsImpl

All Implemented Interfaces:
  Serializable, NaturalIdCacheStatistics

    public class ConcurrentNaturalIdCacheStatisticsImpl

extends CategorizedStatistics
implements NaturalIdCacheStatistics

NaturalId cache statistics of a specific region

See Also:
  Serialized Form

Method Summary
`long` `getElementCountInMemory()`
`long` `getElementCountOnDisk()`
`Map` `getEntries()`
`long` `getExecutionAvgTime()` average time in ms taken by the excution of this query onto the DB
`long` `getExecutionCount()` queries executed to the DB
`long` `getExecutionMaxTime()` max time in ms taken by the excution of this query onto the DB
`long` `getExecutionMinTime()` min time in ms taken by the excution of this query onto the DB
`long` `getHitCount()`
`long` `getMissCount()`
`long` `getPutCount()`
`long` `getSizeInMemory()`
`String` `toString()`

Methods inherited from class org.hibernate.stat.internal.CategorizedStatistics
`getCategoryName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getHitCount

    public long getHitCount()

  Specified by:
    `getHitCount` in interface `NaturalIdCacheStatistics`

### getMissCount

    public long getMissCount()

  Specified by:
    `getMissCount` in interface `NaturalIdCacheStatistics`

### getPutCount

    public long getPutCount()

  Specified by:
    `getPutCount` in interface `NaturalIdCacheStatistics`

### getExecutionCount

    public long getExecutionCount()

  queries executed to the DB

  Specified by:
    `getExecutionCount` in interface `NaturalIdCacheStatistics`

### getExecutionAvgTime

    public long getExecutionAvgTime()

  average time in ms taken by the excution of this query onto the DB

  Specified by:
    `getExecutionAvgTime` in interface `NaturalIdCacheStatistics`

### getExecutionMaxTime

    public long getExecutionMaxTime()

  max time in ms taken by the excution of this query onto the DB

  Specified by:
    `getExecutionMaxTime` in interface `NaturalIdCacheStatistics`

### getExecutionMinTime

    public long getExecutionMinTime()

  min time in ms taken by the excution of this query onto the DB

  Specified by:
    `getExecutionMinTime` in interface `NaturalIdCacheStatistics`

### getElementCountInMemory

    public long getElementCountInMemory()

  Specified by:
    `getElementCountInMemory` in interface `NaturalIdCacheStatistics`

### getElementCountOnDisk

    public long getElementCountOnDisk()

  Specified by:
    `getElementCountOnDisk` in interface `NaturalIdCacheStatistics`

### getSizeInMemory

    public long getSizeInMemory()

  Specified by:
    `getSizeInMemory` in interface `NaturalIdCacheStatistics`

### getEntries

    public Map getEntries()

  Specified by:
    `getEntries` in interface `NaturalIdCacheStatistics`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.